declare const _default: import("vue").DefineComponent<import("vue").ExtractPropTypes<{
    gltfUrl: StringConstructor;
    uvRender: {
        new (): HTMLCanvasElement;
        prototype: HTMLCanvasElement;
    };
}>, {
    setGltfModel: (url: string, options?: any) => void;
    setUV: (canvas: HTMLCanvasElement, uvname: string) => void;
    changeCamera: (name: string) => void;
    setAutoRotate: (autoRotate: boolean) => void;
    setCameraRules: (snapshotRule?: RegExp | string, faceRule?: RegExp | string) => void;
    getSnapshot: (width?: number, height?: number, useAnimation?: boolean, targetElement?: HTMLElement) => Promise<{
        blob: Blob;
        url: string;
        cameraName: string;
    }[]>;
    updateTexture: (uvname: string) => void;
    lockCamera: (lock: boolean) => void;
    enableZoom: (enabled: boolean) => void;
    clearAll: () => void;
}, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {
    ready: (...args: any[]) => void;
}, string, import("vue").PublicProps, Readonly<import("vue").ExtractPropTypes<{
    gltfUrl: StringConstructor;
    uvRender: {
        new (): HTMLCanvasElement;
        prototype: HTMLCanvasElement;
    };
}>> & Readonly<{
    onReady?: ((...args: any[]) => any) | undefined;
}>, {}, {}, {}, {}, string, import("vue").ComponentProvideOptions, true, {}, HTMLDivElement>;
export default _default;
